Subject: Re: bug#33359: On emacs-clang-format

From: Tim Gesthuizen <[email-masked]>
Date: Wed, 14 Nov 2018 16:56:18 +0100

On 14.11.2018 11:48, Pierre Neidhardt wrote:
>> : - The license is incorrect. The version that is cloned from github
>> :   also seems to have some licensing issues (Missing full license...)
> 
> Which license?
> 

The emacs-clang-format package definition claims that the package is
licensed under the GPLv3+. The files in the repository are licensed
under the same license that clang is licensed under ( The headers of the
files actually say that they are from the LLVM project). This means the
package is licensed under University of Illinois/NCSA Open Source License.
So while it would probably be legal to distribute binaries and source
code under the terms of the GPL this should probably be fixed :)

Tim.